@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-Thin.woff2");
  font-weight: 100;
}

@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-ExtraLight.woff2");
  font-weight: 200;
}

@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-Light.woff2");
  font-weight: 300;
}

@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-Regular.woff2");
  font-weight: 400;
}

@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-Medium.woff2");
  font-weight: 500;
}

@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-SemiBold.woff2");
  font-weight: 600;
}

@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-Bold.woff2");
  font-weight: 700;
}

@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-ExtraBold.woff2");
  font-weight: 800;
}

@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Inter/Inter-Black.woff2");
  font-weight: 900;
}

@font-face {
  font-family: "Montserrat";
  src: url("../assets/fonts/Montserrat/Montserrat-Thin.woff2");
  font-weight: 100;
}

@font-face {
  font-family: "Montserrat";
  src: url("../assets/fonts/Montserrat/Montserrat-ExtraLight.woff2");
  font-weight: 200;
}

@font-face {
  font-family: "Montserrat";
  src: url("../assets/fonts/Montserrat/Montserrat-Light.woff2");
  font-weight: 300;
}

@font-face {
  font-family: "Montserrat";
  src: url("../assets/fonts/Montserrat/Montserrat-Regular.woff2");
  font-weight: 400;
}

@font-face {
  font-family: "Montserrat";
  src: url("../assets/fonts/Montserrat/Montserrat-Medium.woff2");
  font-weight: 500;
}

@font-face {
  font-family: "Montserrat";
  src: url("../assets/fonts/Montserrat/Montserrat-SemiBold.woff2");
  font-weight: 600;
}

@font-face {
  font-family: "Inter";
  src: url("../assets/fonts/Montserrat/Montserrat-Bold.woff2");
  font-weight: 700;
}

@font-face {
  font-family: "Montserrat";
  src: url("../assets/fonts/Montserrat/Montserrat-ExtraBold.woff2");
  font-weight: 800;
}

@font-face {
  font-family: "Montserrat";
  src: url("../assets/fonts/Montserrat/Montserrat-Black.woff2");
  font-weight: 900;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  border: 0;
}

html {
  scroll-behavior: smooth;
  height: 100%;
}

body {
  height: 100%;
  font-family: "Inter", sans-serif;
  min-width: 360px;
}

a {
  font-family: "Inter", sans-serif;
  text-decoration: none;
  color: inherit;
}

input,
textarea {
  outline: none;
}

input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
  -webkit-appearance: none;
}

input[type=number],
input[type=number]:hover,
input[type=number]:focus {
  appearance: none;
  -moz-appearance: textfield;
}

button {
  white-space: nowrap;
  cursor: pointer;
  background-color: transparent;
}

img,
video {
  width: 100%;
  display: block;
  border-style: none;
}

main {
  flex: 1 1 auto;
}

.wrapper {
  min-height: 100%;
  display: flex;
  flex-direction: column;
}

.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 60px;
}

.wrapper {
  position: relative;
}

.main {
  display: flex;
  flex-direction: column;
  gap: 100px;
  margin-bottom: 100px;
}

.logo {
  width: 77px;
}

.navbar__list {
  display: flex;
  align-items: center;
  gap: 35px;
  list-style: none;
}

.navbar__item-link {
  display: flex;
  align-items: center;
  gap: 10px;
  color: #ffffff;
  font-family: "Inter", sans-serif;
  font-size: 18px;
  font-style: normal;
  font-weight: 500;
  line-height: 23px;
}

.navbar__item-icon {
  width: 22px;
  height: 22px;
  flex-shrink: 0;
}

.copyright {
  width: max-content;
  color: #ffffff;
  font-family: "Montserrat", sans-serif;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 22px;
}

.header {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  background: rgba(16, 72, 159, 0.7803921569);
}

.header__wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px 0;
}

.footer {
  background: rgba(16, 72, 159, 0.7803921569);
}

.footer__wrap {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 16px 0;
}

.footer__right-box {
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.preview {
  height: 100vh;
  background-size: cover;
  background-position: center;
}

.preview .container {
  height: 100%;
}

.preview__wrap {
  display: flex;
  align-items: center;
  height: inherit;
}

.preview-content {
  display: flex;
  flex-direction: column;
  gap: 38px;
  max-width: 967px;
}

.preview-header {
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.preview__title {
  color: #ffffff;
  font-family: "Montserrat", sans-serif;
  font-size: 70px;
  font-style: normal;
  font-weight: 800;
  line-height: 86px;
  text-transform: uppercase;
}

.preview__descr {
  color: #ffffff;
  font-family: "Inter", sans-serif;
  font-size: 30px;
  font-style: normal;
  font-weight: 500;
  line-height: 40px;
}

.preview__request-link {
  width: fit-content;
  padding: 20px 80px;
  border-radius: 5px;
  border: 1.5px solid #f9d645;
  background-color: #f9d645;
  color: #000000;
  font-family: "Inter", sans-serif;
  font-size: 18px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  transition: 0.3s ease-in-out;
}

.preview__request-link:hover {
  border: 1.5px solid rgba(199, 199, 199, 0.6);
  background-color: rgba(199, 199, 199, 0.6);
  color: #ffffff;
}

.catalog-header {
  margin-bottom: 64px;
  max-width: 950px;
}

.catalog__title {
  position: relative;
  padding-left: 14px;
  margin-bottom: 20px;
  color: #000000;
  font-family: "Montserrat", sans-serif;
  font-size: 42px;
  font-style: normal;
  font-weight: 700;
  line-height: 72px;
  text-transform: uppercase;
}

.catalog__title::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  width: 3px;
  height: 54px;
  background-color: #f9d645;
}

.catalog__descr {
  color: #696969;
  font-family: "Inter", sans-serif;
  font-size: 24px;
  font-style: normal;
  font-weight: 400;
  line-height: 33px;
}

.catalog-tabs {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 20px;
  margin-bottom: 36px;
}

.catalog-tabs__item {
  padding: 28px 0;
  border-radius: 5px;
  border: 2px solid rgba(0, 0, 0, 0.3019607843);
  color: #000000;
  text-align: center;
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
  text-transform: uppercase;
  cursor: pointer;
  transition: 0.3s ease-in-out;
}

.catalog-tabs__item.active {
  border: 2px solid #2c368c;
  color: #2c368c;
}

.catalog-tabs__item:hover {
  border: 2px solid #2c368c;
  color: #2c368c;
}

.catalog-tabs__item-input {
  display: none;
}

.catalog-list {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 65px 20px;
}

.catalog-card {
  height: 750px;
  padding: 18px 20px 32px;
  border-radius: 5px;
  background: rgba(217, 217, 217, 0.1215686275);
  box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.14);
}

.catalog-card.hidden {
  display: none;
}

.catalog-card .card-form {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  gap: 26px;
  height: 100%;
}

.catalog-card__img-box {
  display: flex;
  align-items: center;
  justify-content: center;
  height: 230px;
}

.catalog-card__img-wrap {
  flex-grow: 0;
}

.catalog-card__img {
  max-height: inherit;
}

.catalog-card__info {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.catalog-card__title {
  margin-bottom: 20px;
  color: #000000;
  font-family: "Inter", sans-serif;
  font-size: 24px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.catalog-card__label {
  margin-bottom: 12px;
  color: #454545;
  font-family: "Inter", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.catalog-card__size-list {
  display: flex;
  flex-wrap: wrap;
  gap: 10px;
}

.catalog-card__size-item {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 95px;
  height: 60px;
  border-radius: 5px;
  border: 2px solid rgba(199, 199, 199, 0.6);
  background: #ffffff;
  cursor: pointer;
  transition: 0.3s ease-in-out;
  color: #696969;
  font-family: "Inter", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 500;
  line-height: normal;
}

.catalog-card__size-item.active {
  border: 2px solid #f9d645;
  color: #000000;
}

.catalog-card__size-item:hover {
  border: 2px solid #f9d645;
}

.catalog-card__size-input {
  display: none;
}

.catalog-card__list {
  display: flex;
  flex-direction: column;
  gap: 12px;
  margin-bottom: 41px;
  list-style: none;
}

.catalog-card__item {
  display: flex;
  justify-content: space-between;
  padding-bottom: 6px;
  border-bottom: 1px dashed rgba(0, 0, 0, 0.3019607843);
}

.catalog-card__item-title {
  color: #696969;
  font-family: "Inter", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
}

.catalog-card__item-value {
  color: #000000;
  font-family: "Inter", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
}

.catalog-card__price {
  margin-bottom: 12px;
}

.catalog-card__extra-cost {
  display: flex;
  gap: 6px;
  align-items: baseline;
  margin-bottom: 8px;
}

.catalog-card__extra-checkbox {
  flex-shrink: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 15px;
  height: 15px;
  border: 1.5px solid #454545;
  border-radius: 3px;
  cursor: pointer;
}

.catalog-card__extra-checkbox.active .catalog-card__extra-check {
  opacity: 1;
}

.catalog-card__extra-check {
  width: 9px;
  height: 9px;
  opacity: 0;
  transition: 0.3s ease-in-out;
}

.catalog-card__extra-descr {
  color: #454545;
  font-family: "Inter", sans-serif;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 17px;
}

.catalog-card__extra-input {
  display: none;
}

.catalog-card__cost {
  color: #000000;
  font-family: "Inter", sans-serif;
  font-size: 34px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
}

.catalog-card__cost--thin {
  font-size: 24px;
  font-weight: 500;
}

.catalog-card__submit {
  display: flex;
  justify-content: center;
  width: 100%;
  padding: 19px 0px;
  margin-bottom: 6px;
  border-radius: 5px;
  border: 2px solid #2c368c;
  background: #ffffff;
  color: #000000;
  font-family: "Inter", sans-serif;
  font-size: 18px;
  font-style: normal;
  font-weight: 600;
  line-height: normal;
  transition: 0.3s ease-in-out;
}

.catalog-card__submit:hover {
  border: 2px solid #2c368c;
  background: #2c368c;
  color: #ffffff;
}

.catalog-card__notation {
  color: #454545;
  font-family: "Inter", sans-serif;
  font-size: 12px;
  font-style: normal;
  font-weight: 400;
  line-height: 19px;
}

.order-block {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  height: 600px;
}

.order-block__img {
  background-size: cover;
  background-position: center;
}

.order-box {
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f9d645;
}

.order-form {
  max-width: 420px;
}

.order-form.hidden {
  display: none;
}

.order-form__title {
  margin-bottom: 38px;
  color: #000000;
  font-family: "Montserrat", sans-serif;
  font-size: 34px;
  font-style: normal;
  font-weight: 600;
  line-height: 43px;
  text-transform: uppercase;
}

.order-form__inputs {
  display: flex;
  flex-direction: column;
  gap: 18px;
  margin-bottom: 26px;
}

.order-form__input {
  width: 100%;
  padding: 16px 20px;
  border-radius: 5px;
  background: #ffffff;
  color: #000000;
  font-family: "Inter", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.order-form__input::placeholder {
  color: #696969;
}

.order-form__submit-btn {
  width: 100%;
  padding: 20px 0px;
  margin-bottom: 12px;
  border-radius: 5px;
  background: #ffffff;
  color: #000000;
  font-family: "Inter", sans-serif;
  font-size: 16px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
  transition: 0.3s ease-in-out;
}

.order-form__submit-btn:hover {
  background: #2c368c;
  color: #ffffff;
}

.order-form__agreement {
  color: #000000;
  font-family: "Inter", sans-serif;
  font-size: 14px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px;
}

.order-success {
  display: none;
  width: 471px;
}

.order-success.show {
  display: block;
}

.order-success__title {
  margin-bottom: 24px;
  color: #000000;
  font-family: "Montserrat", sans-serif;
  font-size: 34px;
  font-style: normal;
  font-weight: 600;
  line-height: 43px;
  text-transform: uppercase;
}

.order-success__descr {
  color: #000000;
  font-family: "Inter", sans-serif;
  font-size: 18px;
  font-style: normal;
  font-weight: 400;
  line-height: 24px;
}

@media screen and (max-width: 1439px) {
  .container {
    padding: 0 34px;
  }

  .main {
    gap: 60px;
  }
}

@media screen and (max-width: 1023px) {
  .container {
    max-width: 768px;
  }

  .logo {
    width: 47px;
    height: 47px;
  }

  .navbar__item-link {
    font-size: 14px;
    line-height: 20px;
  }

  .copyright {
    font-size: 10px;
    line-height: 22px;
  }

  .preview {
    height: 500px;
  }

  .preview__wrap {
    align-items: flex-end;
    padding-bottom: 94px;
  }

  .preview-content {
    gap: 26px;
  }

  .preview-header {
    gap: 14px;
  }

  .preview__title {
    font-size: 38px;
    line-height: 47px;
  }

  .preview__descr {
    font-size: 18px;
    line-height: 24px;
  }

  .preview__request-link {
    padding: 16px 40px;
    font-size: 16px;
  }

  .catalog-header {
    max-width: 100%;
    margin-bottom: 50px;
  }

  .catalog__title {
    margin-bottom: 16px;
    font-size: 20px;
    line-height: 32px;
  }

  .catalog__title::before {
    height: 32px;
  }

  .catalog__descr {
    font-size: 18px;
    line-height: 24px;
  }

  .catalog-tabs {
    grid-template-columns: repeat(3, 1fr);
  }

  .catalog-tabs__item {
    font-size: 12px;
    padding: 16px 0;
  }

  .catalog-list {
    grid-template-columns: repeat(2, 1fr);
    gap: 30px 20px;
  }

  .catalog-card {
    height: 625px;
    padding: 18px 20px 26px;
  }

  .catalog-card .card-form {
    gap: 24px;
  }

  .catalog-card__img-box {
    height: 170px;
  }

  .catalog-card__img-wrap {
    max-height: 170px;
  }

  .catalog-card__title {
    font-size: 19px;
    line-height: normal;
  }

  .catalog-card__label {
    font-size: 14px;
    margin-bottom: 10px;
  }

  .catalog-card__size-item {
    width: 90px;
    height: 50px;
    font-size: 14px;
  }

  .catalog-card__list {
    margin-bottom: 22px;
  }

  .catalog-card__item-title {
    font-size: 14px;
  }

  .catalog-card__item-value {
    font-size: 14px;
  }

  .catalog-card__cost {
    font-size: 30px;
  }

  .catalog-card__cost--thin {
    font-size: 22px;
  }

  .catalog-card__submit {
    padding: 14px 0px;
    font-size: 16px;
  }

  .catalog-card__notation {
    font-size: 11px;
    line-height: 16px;
  }

  .order-block {
    height: 400px;
  }

  .order-form {
    max-width: 260px;
  }

  .order-form__title {
    margin-bottom: 20px;
    font-size: 20px;
    line-height: 28px;
  }

  .order-form__inputs {
    gap: 16px;
  }

  .order-form__input {
    padding: 16px 18px;
    font-size: 14px;
  }

  .order-form__submit-btn {
    padding: 18px 0px;
    font-size: 14px;
  }

  .order-form__agreement {
    font-size: 12px;
    line-height: 14px;
  }

  .order-success {
    width: 275px;
  }

  .order-success__title {
    font-size: 20px;
    line-height: 26px;
    margin-bottom: 12px;
  }

  .order-success__descr {
    font-size: 16px;
    line-height: 22px;
  }
}

@media screen and (max-width: 767px) {
  .container {
    max-width: 360px;
    padding: 0 20px;
  }

  .main {
    gap: 40px;
  }

  .logo {
    width: 33px;
    height: 33px;
  }

  .navbar__list {
    gap: 26px;
    flex-wrap: wrap;
  }

  .navbar__item-link {
    font-size: 10px;
    line-height: 20px;
  }

  .navbar__item-icon {
    width: 14px;
    height: 14px;
  }

  .header__wrap {
    padding: 14px 0;
  }

  .header .navbar__item:nth-child(2) {
    display: none;
  }

  .footer__wrap {
    gap: 22px;
  }

  .footer .navbar__list {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 2px 20px;
  }

  .footer .navbar__item:last-child {
    grid-column: span 1/3;
  }

  .footer .navbar__item-link {
    width: max-content;
  }

  .preview {
    height: 350px;
  }

  .preview__wrap {
    padding-bottom: 60px;
  }

  .preview-content {
    gap: 16px;
  }

  .preview-header {
    gap: 10px;
  }

  .preview__title {
    font-size: 20px;
    line-height: 27px;
  }

  .preview__descr {
    font-size: 12px;
    line-height: 15px;
  }

  .preview__request-link {
    font-size: 14px;
    padding: 14px 20px;
  }

  .catalog-header {
    margin-bottom: 30px;
  }

  .catalog__title {
    padding-left: 10px;
    margin-bottom: 14px;
    font-size: 12px;
    line-height: 22px;
  }

  .catalog__title::before {
    height: 22px;
  }

  .catalog__descr {
    font-size: 16px;
    line-height: 22px;
  }

  .catalog-tabs {
    grid-template-columns: repeat(2, 1fr);
    gap: 8px;
    margin-bottom: 30px;
  }

  .catalog-tabs__item {
    font-size: 8px;
    padding: 15px 0;
  }

  .catalog-list {
    grid-template-columns: 1fr;
    gap: 20px;
  }

  .catalog-card {
    height: 550px;
    padding: 18px 20px 22px;
  }

  .catalog-card .card-form {
    gap: 18px;
  }

  .catalog-card__img-box {
    height: 120px;
  }

  .catalog-card__img-wrap {
    max-height: 120px;
  }

  .catalog-card__title {
    margin-bottom: 18px;
    font-size: 16px;
    line-height: normal;
  }

  .catalog-card__size-item {
    width: 80px;
  }

  .catalog-card__list {
    margin-bottom: 22px;
  }

  .catalog-card__item {
    padding-bottom: 4px;
  }

  .catalog-card__item-title {
    font-size: 12px;
  }

  .catalog-card__item-value {
    font-size: 12px;
  }

  .catalog-card__cost {
    font-size: 24px;
  }

  .catalog-card__cost--thin {
    font-size: 18px;
  }

  .catalog-card__submit {
    font-size: 14px;
    margin-bottom: 4px;
  }

  .catalog-card__notation {
    font-size: 10px;
  }

  .order-block {
    height: 530px;
    display: flex;
    flex-direction: column-reverse;
  }

  .order-block__img {
    height: 184px;
  }

  .order-box {
    height: 346px;
  }

  .order-form__title {
    font-size: 16px;
    line-height: 22px;
  }

  .order-form__inputs {
    gap: 14px;
  }

  .order-form__input {
    padding: 16px;
    font-size: 12px;
  }

  .order-form__submit-btn {
    padding: 14px 0px;
    margin-bottom: 10px;
  }

  .order-form__agreement {
    font-size: 10px;
    line-height: 13px;
  }

  .order-success {
    width: 257px;
  }

  .order-success__title {
    font-size: 16px;
    line-height: 22px;
  }

  .order-success__descr {
    font-size: 12px;
    line-height: 16px;
  }
}